Bug 474453 - Please add gutenprint-cups to default installation
Please add gutenprint-cups to default installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 16:39 EST by Pavel Rosenboim
Modified: 2014-03-16 23:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 09:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2008-12-03 16:39:31 EST
Description of problem:
Please make gutenprint-cups package installed by default. Without it, many canon and epson printers (for example, all canon pixma series printers) will not be recognized automatically.
Comment 1 Bill Nottingham 2008-12-05 14:15:43 EST
Doesn't gutenprint-foomatic cover this?
Comment 2 Pavel Rosenboim 2008-12-05 14:37:14 EST
No, many drivers are missing (Canon Pixma series is what I was looking for) until I installed gutenprint-cups.
Comment 3 Tim Waugh 2008-12-08 06:39:22 EST
This is because the main foomatic package does not have entries for these printers, but the gutenprint-foomatic kit does not include any printers at all (only the driver and its options) so as to avoid conflicting.

Needs further analysis.
Comment 4 Tim Waugh 2008-12-08 06:40:47 EST
This issue goes back to (at least) Fedora 9.
Comment 5 Bug Zapper 2009-06-09 23:23:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Waugh 2009-08-21 05:20:58 EDT
(In reply to comment #1)
> Doesn't gutenprint-foomatic cover this?  

No, it doesn't, and it can't.  We should install gutenprint-cups instead of gutenprint-foomatic.
Comment 7 Bill Nottingham 2009-08-21 09:51:46 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.